from emodpy_tbhiv.interventions.drugs import add_tb_drug_type

def bootstrap( config ):
    # Add the standard set up anti-tb drugs we want to be available.
    # Can either do keyword...
    add_tb_drug_type(config, drug_name='ACFDOTS', duration=100.0, cure_proportion=0.0, death_proportion=0.0, resistance_proportion=0, inactivation_proportion=1e-09, relapse_proportion=1e-09, mdr_cure_proportion=0)
    add_tb_drug_type(config, drug_name='DOTSHQ', duration=180.0, cure_proportion=0.8, death_proportion=0.03, resistance_proportion=0, inactivation_proportion=0.10, relapse_proportion=0.02, mdr_cure_proportion=0.1)
    add_tb_drug_type(config, drug_name='DOTSLQ', duration=180.0, cure_proportion=0.5, death_proportion=0.03, resistance_proportion=0, inactivation_proportion=0.10, relapse_proportion=0.02, mdr_cure_proportion=0.1)
    # or positional...
    add_tb_drug_type(config, 'DOTSMDR', 270, 0.5, 0.03, 0, 0.10, 0.02)
    add_tb_drug_type(config, 'PreDOTSHigh', 180, 0.5, 0.03, 0, 0.10, 0.02)
    add_tb_drug_type(config, 'PreDOTSLow', 180, 0.5, 0.03, 0, 0.10, 0.02)
    add_tb_drug_type(config, 'Universal', 90, 0.8, 0.03, 0.02, 0.10, 0.02)
    # or by csv input file (coming soon).

